% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/database_support.R
\name{database_support}
\alias{database_support}
\title{Intersect with databases for potential miRNA-target gene interactions}
\usage{
database_support(cor_data, org = "hsa", Sum.cutoff = 2)
}
\arguments{
\item{cor_data}{matrix format generated from \link{negative_cor} or
\link{miR_converter}, including miRNA, gene, correlation coefficient
for column names.}

\item{org}{species of genes and miRNAs, only support "hsa", "mmu"}

\item{Sum.cutoff}{a Threshold for total hits by predict databases. This
one should not be greater than 8. Default is 2.}
}
\value{
data.frame format. Each row represent one potential interaction.
   The first four columns are information about interactions: miRNA,
   gene symbol, Ensembl ID, gene ID, as for column 5 to 12 represent
   the predict dataases, while column 13 to 14 are validate databases.
   if databases truly hit this interactions, the number in it would be 1.
   The column `Sum` means total hits by 8 databases, and column `Validate`
   would be TRUE if at least one validate database hit the interaction.
   Furthermore, `Fold-Change` and `P-adjust` can also be found in this
   output, and if the `de novo` column contains 1 means that row is
   not supported by any databases. The column `evidence` represents if
   the experiment for validation is strong or limited, considering
   \url{http://mirtarbase.mbc.nctu.edu.tw/}.
}
\description{
This function will interst potential miRNA-target gene interactions from
the input matrix, which is generated by \link{negative_cor} or
\link{miR_converter}, with 8 predict databases and 2 validate databases
about miRNA-target gene interactions. If the input caontains hundreds
of interactions, it would take a few minutes to intersect all of them.
}
\examples{
## Use the internal dataset
data("mirna", package = "anamiR", envir = environment())
data("pheno.mirna", package = "anamiR", envir = environment())
data("mrna", package = "anamiR", envir = environment())
data("pheno.mrna", package = "anamiR", envir = environment())

## SummarizedExperiment class
require(SummarizedExperiment)
mirna_se <- SummarizedExperiment(
 assays = SimpleList(counts=mirna),
 colData = pheno.mirna)

## SummarizedExperiment class
require(SummarizedExperiment)
mrna_se <- SummarizedExperiment(
 assays = SimpleList(counts=mrna),
 colData = pheno.mrna)

## Finding differential miRNA from miRNA expression data with t.test
mirna_d <- differExp_discrete(
   se = mirna_se,
   class = "ER",
   method = "t.test"
)

## Finding differential mRNA from mRNA expression data with t.test
mrna_d <- differExp_discrete(
   se = mrna_se,
   class = "ER",
   method = "t.test"
)

## Convert annotation to miRBse 21
mirna_21 <- miR_converter(data = mirna_d, original_version = 17)

## Correlation
cor <- negative_cor(mrna_data = mrna_d, mirna_data = mirna_21)

## Intersect with known databases
sup <- database_support(cor_data = cor)

}
